//*****************************************************************************
//
//	PWM Timer1 
//
//*****************************************************************************
#include <avr/io.h>
#include <avr/interrupt.h>
#include "pwm.h"


//*****************************************************************************
//	PWM - Init
//  Input:	-
//	Output:	-
//*****************************************************************************
void pwm1_init(void)
{                    	
   SREG &= 0x7F;
   TCCR1A = 0x81;
   TCCR1B = 0x02;   //Vorteiler 
   TIMSK1 &= 0x00;	//Timer1 Int aus
   TCNT1 =  0x00;	//CNT1
   SREG |= 0x80;       
}


//*****************************************************************************
//	PWM - Wert setzen
//  Input:	Wert 
//	Output:	-
//*****************************************************************************
void pwm1_setWert(unsigned char uc_x)
{
   OCR1A = uc_x;	
}
